<?php
/** Položení XML-RPC požadavku
* @param string URL webové služby
* @param string funkce, která se má zavolat
* @param string parametry, které se mají funkci předat
* @param string kódování odpovědi, výchozí je utf-8
* @return mixed data vrácená funkcí
*/
function xmlRpc($url, $method, $params, $encoding = 'utf-8') {
	$options = array('encoding' => $encoding);
	$context = stream_context_create(array('http' => array(
		'method' => "POST",
		'header' => "Content-Type: text/xml",
		'content' => xmlRpc_encode_request($method, $params, $options)
	)));
	$return = file_get_contents($url, false, $context);
	return xmlRpc_decode($return, $encoding);
}
